package com.hfkj.service.gas;

import com.hfkj.entity.BsGasOrder;
import com.hfkj.entity.BsGasOrderSpread;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 * @className: BsGasOrderSpreadService
 * @author: HuRui
 * @date: 2025/4/7
 **/
public interface BsGasOrderSpreadService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsGasOrderSpread data);

    /**
     * 创建推广佣金
     * @param order
     */
    void createOrderSpread(BsGasOrder order);

    /**
     * 查询订单号
     * @param orderNo
     * @return
     */
    BsGasOrderSpread getDetailByOrderNo(String orderNo);

    /**
     * 结算系统订单
     */
    void settleOrder(Long userId) throws Exception;

    /**
     * 统计结算订单金额
     * @param param
     * @throws Exception
     */
    BigDecimal countSettleOrderPrice(Map<String,Object> param);

    /**
     * 统计佣金情况
     * @return
     */
    HashMap<String,Object> countCommission();

    /**
     * 查询未结算金额
     * @param userId
     * @return
     */
    BigDecimal getNotCashOutAmount(Long userId);
}
